Package com.opensymphony.module.sitemesh

# Class Config

java.lang.Object
com.opensymphony.module.sitemesh.Config

public class Config extends Object
Common interface to ServletConfig and FilterConfig (since javax.servlet.Config was removed from 2.3 spec).

Version:
  $Revision: 1.2 $
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`configFile`
`private javax.servlet.FilterConfig`
`filterConfig`
`private javax.servlet.ServletConfig`
`servletConfig`

## Constructor Summary

Constructors
Constructor
Description
`Config(javax.servlet.FilterConfig filterConfig)`
`Config(javax.servlet.ServletConfig servletConfig)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConfigFile()`
`javax.servlet.ServletContext`
`getServletContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### servletConfig

private javax.servlet.ServletConfig servletConfig

### filterConfig

private javax.servlet.FilterConfig filterConfig

### configFile

private String configFile

## Constructor Details

### Config

public Config(javax.servlet.ServletConfig servletConfig)

### Config

public Config(javax.servlet.FilterConfig filterConfig)

## Method Details

### getServletContext

public javax.servlet.ServletContext getServletContext()

### getConfigFile

public String getConfigFile()